#include <stdio.h>

#define SDL_MAIN_HANDLED
#include "SDL.h"

// gcc -o sdl_repro sdl_repro.c $(sdl2-config --cflags) $(sdl2-config --libs)
// = gcc -o sdl_repro sdl_repro.c -I/usr/include/SDL2 -D_REENTRANT -lSDL2
// SDL_RENDER_DRIVER="software" ./sdl_repro

void fail() {
	printf("error: %s\n", SDL_GetError());
	exit(1);
}

int main() {
	SDL_Init(SDL_INIT_EVERYTHING);

	SDL_Window *window = NULL;
	SDL_Renderer *renderer = NULL;

	// Create window
	window = SDL_CreateWindow("myWindow", SDL_WINDOWPOS_CENTERED, SDL_WINDOWPOS_CENTERED, 320, 240, 0);
	if (!window)
		fail();

	// Create renderer
	printf("Creating renderer\n");
	renderer = SDL_CreateRenderer(window, -1, 0);
	if (!renderer)
		fail();

	// Destroy renderer
	printf("Destroying renderer\n");
	SDL_DestroyRenderer(renderer);
	if (SDL_GetRenderer(window))
		fail();

	// Recreate renderer
	printf("Recreating  renderer\n");
	renderer = SDL_CreateRenderer(window, -1, 0);
	if (!renderer)
		fail();

	printf("Quitting\n");
	SDL_Quit();
	return 0;
}